<template>
  <div class="form-element">
    <input type="checkbox" :checked="isChecked(subjData)" :name=subjData.id
           :value="subjData.id"
           @change="setInputValue" :id="subjData.id">
    <label :for=subjData.id>
      <div class="title">
        <h3>{{ subjData.name }}</h3>
      </div>
      <div class="icon">
        <p class="firstChild">Studiepunten : {{ subjData.credit }}</p>
        <p>Code : {{ subjData.code }}</p>
        <p>Periode: {{ subjData.period }}</p>
      </div>
    </label>
  </div>
</template>

<script>
import store from '../../../store/index';

export default {
  name: 'OneSubject',
  props: ['subjData'],
  computed: {
    tst() {
      return store.getters.getChosenSubjects;
    },
  },
  // data() {
  //   return {
  //     tech: '',
  //   };
  // },
  methods: {
    isChecked(subjData) {
      return store.getters.getChosenSubjects.includes(subjData);
    },
    setInputValue() {
      if (store.getters.getChosenSubjects.includes(this.subjData)) {
        // eslint-disable-next-line max-len
        store.getters.getChosenSubjects.splice(store.getters.getChosenSubjects.indexOf(this.subjData), 1);
      } else {
        store.commit('setChosenSubjects', this.subjData);
      }
    },
  },
};
</script>

<style scoped lang="scss">
.form-element {
    background-color: $my-blue;
    color: $my-white;
    width: 294px;
    height: 195px;
    border-radius: 11px;
    font-family: $my-text;
    margin-bottom: 40px;
}
.form-element input {
  display:none;
}
.form-element label {
  width:100%;
  display:flex;
  flex-direction:column;
  justify-content:center;
  height:100%;
  cursor:pointer;
  border:2px solid #ddd;
  background:#fff;
  box-shadow:0 5px 20px 2px rgba(0,0,0,0.1);
  text-align:center;
  transition:all 200ms ease-in-out;
  border-radius:5px;
}
.form-element .icon {
  margin-top:10px;
  font-size:1em;
  color:#555;
  transition:all 200ms ease-in-out;
}
.form-element .icon p{
  padding: 3px 0;
}
.form-element .title {
  font-size: 1.3em;
  color:#555;
  padding:5px 0;
  border-bottom: $my-yellow solid 1px;
  transition:all 200ms ease-in-out;
}
.form-element label:before {
  content:"✓";
  width:18px;
  height:18px;
  background:$my-blue;
  color:#fff;
  text-align:center;
  line-height:18px;
  font-size:0.9em;
  font-weight:600;
  border-radius:50%;
  opacity:0;
  transform:scale(0.5);
  transition:all 200ms ease-in-out;
}
.form-element input:checked + label:before {
  opacity:1;
  transform:scale(1);
}
.form-element input:checked + label .icon {
  color:$my-blue;
}
.form-element input:checked + label .title {
  color:$my-blue;
}
.form-element input:checked + label {
  border:2px solid $my-blue;
}
</style>
